/*******************************************************************************
 * SeqAct_Latent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_Latent extends SequenceAction
    abstract
    native(Sequence)
    hidecategories(Object);

var array<Actor> LatentActors;
var bool bAborted;
var float LatentActivationTime;

// Export USeqAct_Latent::execAbortFor(FFrame&, void* const)
native function AbortFor(Actor latentActor);

event bool Update(float DeltaTime)
{
    //return ReturnValue;    
}

defaultproperties
{
    bLatentExecution=true
    OutputLinks(0)=(Links=none,LinkDesc="Finished",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    OutputLinks(1)=(Links=none,LinkDesc="Aborted",bHasImpulse=false,bDisabled=false,bDisabledPIE=false,LinkedOp=none,ActivateDelay=0.0,DrawY=0,bHidden=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0,PIEActivationTime=0.0,bIsActivated=false)
    ObjName="Undefined Latent"
}